org.eclipse.eef.ide.ui.api.widgets

## Interface EEFStyleHelper.IEEFTextStyleCallback

All Known Implementing Classes:
  EEFCheckboxStyleCallback, EEFStyledTextStyleCallback

Enclosing class:
  EEFStyleHelper

    public static interface EEFStyleHelper.IEEFTextStyleCallback

This class will be called to update the style of the text.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `applyBackgroundColor(EEFColor color)` Applies the given background color to the widget.
`void` `applyFont(EEFFont font)` Applies the given font to the widget.
`void` `applyFontStyle(boolean strikeout, boolean underline)` Applies the strikeout and/or underline styles.
`void` `applyForegroundColor(EEFColor color)` Applies the given foreground color to the widget.

### Method Detail

#### applyFont

    void applyFont(EEFFont font)

Applies the given font to the widget.

Parameters:
  `font` - The font

#### applyFontStyle

    void applyFontStyle(boolean strikeout,
                        boolean underline)

Applies the strikeout and/or underline styles.

Parameters:
  `strikeout` - `true` if the widget should be striked out, `false` otherwise
  `underline` - `true` if the widget should be underlined, `false` otherwise

#### applyForegroundColor

    void applyForegroundColor(EEFColor color)

Applies the given foreground color to the widget.

Parameters:
  `color` - The foreground color

#### applyBackgroundColor

    void applyBackgroundColor(EEFColor color)

Applies the given background color to the widget.

Parameters:
  `color` - The background color